Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## millgamej2se11
Class AIPlayer

    java.lang.Object
      millgamej2se11.Player
          millgamej2se11.AIPlayer

    public class AIPlayer

extends Player

Az osztály biztosítja azokat az interfészeket, melyek egy játékos tevékenyégeinek szimulásásához szükségesek.

Field Summary

Fields inherited from class millgamej2se11.Player
`NO_ONE, PLAYER_ONE, PLAYER_TWO`

Constructor Summary
`AIPlayer(int id)` Az MI Játékos objektumot létrehozó konstruktor.

Method Summary
`Point[]` | `moveAMarker(int[][] state)` A megadott állás alapján meghatározza azt a két pontot, ahonnan ill.
`Point` | `placeAMarker(int[][] state)` Meghatározza a megadott játékállás azon pontját, amelyre a játékos következő bábutját el kell helyezni.
`Point` | `removeAMarker(int[][] state)` A bábuk mozgatásának szakaszában kiválasztja az adott állásban az ellenfél azon bábuját, amelyet el kell távolítani.
`Point` | `removeAMarker(int[][] state, Player opponent)` A bábuk elhelyezésének szakaszában kiválasztja az adott állásban az ellenfél azon bábuját, melyet el kíván távolítani.

Methods inherited from class millgamej2se11.Player
`addMill, decMarkers, dragged, dropped, getColor, getID, getMarkersNumber, hasDraggedMarker, hasFreePointIn, hasUnusedMill, incMarkers, millContains, removeMillIfContains, setMillUsed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AIPlayer

    public AIPlayer(int id)

  Az MI Játékos objektumot létrehozó konstruktor.

  Parameters:
    `id` - A játékos azonosítója.

Method Detail

### placeAMarker

    public Point placeAMarker(int[][] state)

  Meghatározza a megadott játékállás azon pontját, amelyre a játékos következő bábutját el kell helyezni.

  Parameters:
    `state` - A játék aktuális állapota.
  Returns:
    A tábla kiválasztott pointja

### removeAMarker

    public Point removeAMarker(int[][] state,
                               Player opponent)

  A bábuk elhelyezésének szakaszában kiválasztja az adott állásban az ellenfél azon bábuját, melyet el kíván távolítani.

  Parameters:
    `state` - A játék aktuális állapota.
    `opponent` - Az ellenfél aktuális állapota
  Returns:
    Az eltávolítandó bábu pozíciója.

### moveAMarker

    public Point[] moveAMarker(int[][] state)

  A megadott állás alapján meghatározza azt a két pontot, ahonnan ill. ahová a játékos egy bábuját mozgatni kell.

  Parameters:
    `state` - A állás, melyben a játékos lépni következik.
  Returns:
    A kiválasztott pontok tömbje.

### removeAMarker

    public Point removeAMarker(int[][] state)

  A bábuk mozgatásának szakaszában kiválasztja az adott állásban az ellenfél azon bábuját, amelyet el kell távolítani.

  Parameters:
    `state` - A játék aktuális állapota.
  Returns:
    Az eltávolítandó bábu pozíciója.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD